#!/bin/bash

GRAB="quux.fimg"
COS01="cos01.fimg"
SQRT="sqrt.fimg"
POW2="pow2.fimg"

f2p ()
{
echo ========== $1
fimg2pnm -v $1 $(basename $1 .fimg).pnm
}

grabvidseq -v -n 777 -p 0.07 -o $GRAB
f2p $GRAB 

fimgfx -v pow2 $GRAB $POW2
f2p $POW2

fimgfx -v sqrt $GRAB $SQRT
f2p $SQRT

fimgfx -v cos01 $GRAB $COS01
f2p $COS01

convert -delay 10 *.pnm foo.gif

